Bug 736963 - 2.6.40.4-5 does not bring a degraded RAID10 up
Summary: 2.6.40.4-5 does not bring a degraded RAID10 up
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 07:59 UTC by prz
Modified: 2012-06-07 11:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 11:36:14 UTC


Attachments (Terms of Use)

Description prz 2011-09-09 07:59:26 UTC
Nasty bug manifesting itself again. When trying to boot up a isw (intel raid) that is in mode to be 'verified', i.e. not clean, the kernel 2.6.40.4-5
cannot bring up any volume groups due to the 

mirror 253:0: Device lookup failure

Once the RAID has been verified using recovery disk (live CD boots the raid fine), the RAID comes up again. Probably udev timing issues or isw cannot bring up a mirror which is degraded.

Generally, RAID crypted volume groups are unbelievably finicky and come up or not randomly. 

And let's not even mention that Fedora 15 boots slower than Windows 7 now (did not think that could ever happen) and I cannot reboot it due to tons systemd issues with shutdown of services. systemd has been definitely rushed out and is not an improvement in any way so far.

Comment 1 Josh Boyer 2012-06-06 19:18:58 UTC
Are you still seeing this with 2.6.43/3.3?

Comment 2 prz 2012-06-07 08:23:07 UTC
I'm @ 

2.6.41.4-1.fc15.x86_64 #1 SMP 

and will not update. The problem of RAID10 loosing sync all the time persist, no matter how you power down, often the array resyncs. It seems to come up now if it's not clean though but generally Fedora 15 is so unstable, I'll be scrapping it and go probably to Debian.  I have endless lockups under load, issues with VMWare on updates and all kind of power down, bring up issues. Nope, it's not me, since about 13 it became simply terrible. Endless updates, no support for anything more than 1/2 year old & endless bugs introduced. Just ranting but that's what it is. I have 13 running on my large server and that seems to be decently stable still.

Comment 3 Josh Boyer 2012-06-07 11:36:14 UTC
Good luck with Debian or whichever distro you choose.


Note You need to log in before you can comment on or make changes to this bug.